Subject: [clisp-list] FFI with a .dll

From: Matthew Williams <[email-masked]>
Date: Thu Feb 27 16:20:08 2003

I have a .c function that has been compiled into a
.dll file.  I want to use FFI to call that function
from within CLISP.  What function do I use to load the
.dll file?   

I've seen several examples of doing this on unix (not
with .dll), but I am stuck on the Windows platform.

Code I'm testing with:

foo.c
__declspec(dllexport) int foo()
{   return 99;
}

lisp:
(load "C:\\lisp\\foo.dll") ; converting from Allegro,
this obviously doesn't work in CLISP
(ffi:def-call-out foo
  (:arguments (nil nil))
  (:return-type ffi:int)
  (:language :c)
)

thanks,
matthew williams

__________________________________________________
Do you Yahoo!?
Yahoo! Tax Center - forms, calculators, tips, more
http://taxes.yahoo.com/